.required:after {
    content: "";
    display: none;
}

.required .form-label:after {
    content: "*";
    position: relative;
    font-size: inherit;
    color: var(--bs-danger);
    padding-left: .25rem;
    font-weight: 600;
}

.pull-left {
    float: left;
}

.select2-container--krajee-bs5 .select2-selection--single,
.form-floating > .select2-container--krajee-bs5 .select2-selection--multiple,
.select2-container--krajee-bs5 .select2-selection--multiple:not(.form-select-sm):not(.form-select-lg){
    height: 48px;
    line-height: 1.5;
}

.select2-container--krajee-bs5 .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
    right: 5px;
}

.select2-container--krajee-bs5 .select2-selection--multiple:not(.form-select-sm):not(.form-select-lg) .select2-selection__choice {
    padding: 0.1rem 1.5rem 0.1rem 0.5rem;
}

.select2-container .select2-selection--single .select2-selection__clear {
    position: absolute !important;
}

.select2-container--krajee-bs5 {
    width: 100% !important;
}

.select2-container--krajee-bs5 .select2-results__option[role=group] {
    padding: 0 !important;
}

.form-floating > .selectize-control.form-control:not(:placeholder-shown){
    padding-top: 14px;
    padding-left: 2px;
    padding-right: 4px;
}

.selectize-input,
.selectize-input.focus{
    border: 0;
    box-shadow: unset;
}

.has-error {
    border: 1px solid var(--bs-danger);
    border-radius: 0.475rem;
}

.has-success {
    border: 1px solid var(--bs-success);
    border-radius: 0.475rem;
}

.current_customer_dropdown-wrapper .form-control{
    padding: unset;
}

.custom-checkbox-list-wrapper .form-check{
    margin-bottom: 10px;
    margin-right: 10px;
}

.custom-checkbox-list-wrapper #materials-constructorsid{
    display: flex;
}

.kv-detail-view th{
    font-weight: bold !important;
}

.form-floating .bootstrap-timepicker > .form-control:not(:placeholder-shown){
    padding-top: 1.85rem;
    padding-bottom: 0.625rem;
    height: calc(3.75rem + 2px);
    min-height: calc(3.75rem + 2px);
    line-height: 1.25;
}

.form-floating .bootstrap-timepicker ~ label{
    transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
}

[data-kt-app-layout=dark-sidebar] .app-sidebar .menu .menu-item.active .menu-link .menu-title {
    color: white;
}

[data-kt-app-layout=dark-sidebar] .app-sidebar .menu .menu-item.active .menu-link .menu-bullet .bullet {
    background-color: white;
}

.app-navbar .select2-container .select2-selection--single .select2-selection__rendered {
    padding-right: 32px;
}

.app-navbar .select2-container--default .select2-selection--single .select2-selection__clear {
    right: 0px;
}

.hint-block {
    font-size: 11px;
}

td .select2-container--krajee-bs5 .select2-selection--single {
    min-width: 200px;
}

#loading-spinner {
    display: flex;
    position: fixed;
    z-index: 10000;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(192, 192, 192, 0.5);
    background-repeat: no-repeat;
    background-position: center;
}

@keyframes spinner {
    to {
        transform: rotate(360deg);
    }
}

#loading-spinner:after {
    content: "";
    box-sizing: border-box;
    position: absolute;
    top: calc(50% - 50px);
    left: calc(50% - 50px);
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 6px solid #ccc;
    border-top-color: #2b4175;
    animation: spinner 0.8s linear infinite;
    z-index: 99999;
}